# pandas.api.types.is_period

`pandas.api.types.``is_period`(arr)

  Check whether an array-like is a periodical index.

  Parameters:

  arr : array-like

  > The array-like to check.

  Returns: | boolean : Whether or not the array-like is a periodical index.

  Examples

      >>> is_period([1, 2, 3])
      False
      >>> is_period(pd.Index([1, 2, 3]))
      False
      >>> is_period(pd.PeriodIndex(["2017-01-01"], freq="D"))
      True

Scroll To Top